<template>
    <div>
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small"
                 style="max-width: 500px;">
            <el-form-item prop="dataruleName" label="权限名称">
                <el-input v-model="formData.dataruleName"></el-input>
            </el-form-item>
            <el-form-item prop="permission" label="权限标识">
                <el-input v-model="formData.permission"></el-input>
            </el-form-item>
            <el-form-item>
                <el-button @click="onSave" :loading="$store.state.fetchingData" type="primary">保存</el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
    export default {
        created() {
            if (this.$route.query.id) {
                this.$http.get({
                    url: '/sysDatarule/getOne',
                    data: {
                        id: this.$route.query.id
                    }
                }).then(res => {
                    if (res.success) {
                        this.formData = res.data;
                    }
                })
            }
        },
        data() {
            return {
                saving: false,
                formData: {},
                rules: {
                    dataruleName: [
                        {required: true, message: '请填写权限名称', trigger: 'blur'},
                    ],
                    permission: [
                        {required: true, message: '请填写权限标识', trigger: 'blur'},
                    ]
                },
                menus: []
            }
        },
        methods: {
            onSave() {
                this.$refs.form.validate((valid) => {
                    if (valid) {
                        this.submit();
                    } else {
                        return false;
                    }
                });
            },
            submit() {
                this.$http.post({
                    url: this.formData.id ? '/sysDatarule/update' : '/sysDatarule/save',
                    data: this.formData
                }).then(res => {
                    if (res.success) {
                        this.$message.success('成功');
                        this.$router.go(-1);
                    } else {
                        this.$message.warning('失败')
                    }
                });
            }
        }
    }
</script>
<style lang="less" scoped>

</style>
